## Sometimes, a player travels more than 2 blocks in a tick - if they're going fast enough
## Bedrock also likes to skip a lot of ticks for the sake of performance, especially on lower-end devices
## This code checks where the player was between ticks, and checks if there was any thermals, boosts or rings flown through
## Every iteration increments (or decrements) the position by 1, for each coordinate from the player's position as of the current tick, until it reaches the player's position as of one tick ago
scoreboard players operation @s temp10 = @s x
scoreboard players operation @s temp10 -= @s xPreviousTick
scoreboard players operation @s[scores={temp10=..-1}] temp10 *= v-1 value
scoreboard players operation @s temp11 = @s y
scoreboard players operation @s temp11 -= @s yPreviousTick
scoreboard players operation @s[scores={temp11=..-1}] temp11 *= v-1 value
scoreboard players operation @s temp12 = @s z
scoreboard players operation @s temp12 -= @s zPreviousTick
scoreboard players operation @s[scores={temp12=..-1}] temp12 *= v-1 value
execute if score @s temp11 > @s temp10 run scoreboard players operation @s temp10 = @s temp11
execute if score @s temp12 > @s temp10 run scoreboard players operation @s temp10 = @s temp12
scoreboard players operation @s temp13 = @s x
scoreboard players operation @s temp14 = @s y
scoreboard players operation @s temp15 = @s z
function glide/mapruntime/between1
execute if score @s temp10 >= v2 value run function glide/mapruntime/between1
execute if score @s temp10 >= v3 value run function glide/mapruntime/between1
execute if score @s temp10 >= v4 value run function glide/mapruntime/between1
execute if score @s temp10 >= v5 value run function glide/mapruntime/between1
execute if score @s temp10 >= v6 value run function glide/mapruntime/between1
scoreboard players operation @s x = @s temp13
scoreboard players operation @s y = @s temp14
scoreboard players operation @s z = @s temp15