
tag @s remove newpb
tag @s remove pbexists

## Check if the player has played the map before and save it.
execute if score mapid mapid matches 001 if score @s scorepbcavern >= v0 value run tag @s add pbexists
execute if score mapid mapid matches 002 if score @s scorepbtemple >= v0 value run tag @s add pbexists
execute if score mapid mapid matches 003 if score @s scorepbcanyon >= v0 value run tag @s add pbexists

execute if score mapid mapid matches 101 if score @s scorepbdragon >= v0 value run tag @s add pbexists
execute if score mapid mapid matches 102 if score @s scorepbkraken >= v0 value run tag @s add pbexists
execute if score mapid mapid matches 103 if score @s scorepbyeti >= v0 value run tag @s add pbexists

execute if score mapid mapid matches 201 if score @s scorepbbody >= v0 value run tag @s add pbexists
execute if score mapid mapid matches 202 if score @s scorepbmobs >= v0 value run tag @s add pbexists
execute if score mapid mapid matches 203 if score @s scorepbshrunk >= v0 value run tag @s add pbexists

execute if score mapid mapid matches 301 if score @s scorepbcelts >= v0 value run tag @s add pbexists
execute if score mapid mapid matches 302 if score @s scorepbexcalibur >= v0 value run tag @s add pbexists
execute if score mapid mapid matches 303 if score @s scorepbicarus >= v0 value run tag @s add pbexists

execute if score mapid mapid matches 401 if score @s scorepbspace >= v0 value run tag @s add pbexists
execute if score mapid mapid matches 402 if score @s scorepblighthouse >= v0 value run tag @s add pbexists
execute if score mapid mapid matches 403 if score @s scorepbvolcanic >= v0 value run tag @s add pbexists
execute if score mapid mapid matches 404 if score @s scorepbchallenge >= v0 value run tag @s add pbexists
execute if score mapid mapid matches 405 if score @s scorepbskylines >= v0 value run tag @s add pbexists

## Test if the score is a new PB, and add a tag if it is
execute if score mapid mapid matches 001 if score @s points > @s scorepbcavern run tag @s add newpb
execute if score mapid mapid matches 002 if score @s points > @s scorepbtemple run tag @s add newpb
execute if score mapid mapid matches 003 if score @s points > @s scorepbcanyon run tag @s add newpb

execute if score mapid mapid matches 101 if score @s points > @s scorepbdragon run tag @s add newpb
execute if score mapid mapid matches 102 if score @s points > @s scorepbkraken run tag @s add newpb
execute if score mapid mapid matches 103 if score @s points > @s scorepbyeti run tag @s add newpb

execute if score mapid mapid matches 201 if score @s points > @s scorepbbody run tag @s add newpb
execute if score mapid mapid matches 202 if score @s points > @s scorepbmobs run tag @s add newpb
execute if score mapid mapid matches 203 if score @s points > @s scorepbshrunk run tag @s add newpb

execute if score mapid mapid matches 301 if score @s points > @s scorepbcelts run tag @s add newpb
execute if score mapid mapid matches 302 if score @s points > @s scorepbexcalibur run tag @s add newpb
execute if score mapid mapid matches 303 if score @s points > @s scorepbicarus run tag @s add newpb

execute if score mapid mapid matches 401 if score @s points > @s scorepbspace run tag @s add newpb
execute if score mapid mapid matches 402 if score @s points > @s scorepblighthouse run tag @s add newpb
execute if score mapid mapid matches 403 if score @s points > @s scorepbvolcanic run tag @s add newpb
execute if score mapid mapid matches 404 if score @s points > @s scorepbchallenge run tag @s add newpb
execute if score mapid mapid matches 405 if score @s points > @s scorepbskylines run tag @s add newpb

## If it is a personal best, save it accordingly
execute if entity @s[tag=newpb] if score mapid mapid matches 001 run scoreboard players operation @s scorepbcavern = @s points
execute if entity @s[tag=newpb] if score mapid mapid matches 002 run scoreboard players operation @s scorepbtemple = @s points
execute if entity @s[tag=newpb] if score mapid mapid matches 003 run scoreboard players operation @s scorepbcanyon = @s points

execute if entity @s[tag=newpb] if score mapid mapid matches 101 run scoreboard players operation @s scorepbdragon = @s points
execute if entity @s[tag=newpb] if score mapid mapid matches 102 run scoreboard players operation @s scorepbkraken = @s points
execute if entity @s[tag=newpb] if score mapid mapid matches 103 run scoreboard players operation @s scorepbyeti = @s points

execute if entity @s[tag=newpb] if score mapid mapid matches 201 run scoreboard players operation @s scorepbbody = @s points
execute if entity @s[tag=newpb] if score mapid mapid matches 202 run scoreboard players operation @s scorepbmobs = @s points
execute if entity @s[tag=newpb] if score mapid mapid matches 203 run scoreboard players operation @s scorepbshrunk = @s points

execute if entity @s[tag=newpb] if score mapid mapid matches 301 run scoreboard players operation @s scorepbcelts = @s points
execute if entity @s[tag=newpb] if score mapid mapid matches 302 run scoreboard players operation @s scorepbexcalibur = @s points
execute if entity @s[tag=newpb] if score mapid mapid matches 303 run scoreboard players operation @s scorepbicarus = @s points

execute if entity @s[tag=newpb] if score mapid mapid matches 401 run scoreboard players operation @s scorepbspace = @s points
execute if entity @s[tag=newpb] if score mapid mapid matches 402 run scoreboard players operation @s scorepblighthouse = @s points
execute if entity @s[tag=newpb] if score mapid mapid matches 403 run scoreboard players operation @s scorepbvolcanic = @s points
execute if entity @s[tag=newpb] if score mapid mapid matches 404 run scoreboard players operation @s scorepbchallenge = @s points
execute if entity @s[tag=newpb] if score mapid mapid matches 405 run scoreboard players operation @s scorepbskylines = @s points

## If no personal best is saved yet, save it accordingly
execute if entity @s[tag=!pbexists] if score mapid mapid matches 001 run scoreboard players operation @s scorepbcavern = @s points
execute if entity @s[tag=!pbexists] if score mapid mapid matches 002 run scoreboard players operation @s scorepbtemple = @s points
execute if entity @s[tag=!pbexists] if score mapid mapid matches 003 run scoreboard players operation @s scorepbcanyon = @s points

execute if entity @s[tag=!pbexists] if score mapid mapid matches 101 run scoreboard players operation @s scorepbdragon = @s points
execute if entity @s[tag=!pbexists] if score mapid mapid matches 102 run scoreboard players operation @s scorepbkraken = @s points
execute if entity @s[tag=!pbexists] if score mapid mapid matches 103 run scoreboard players operation @s scorepbyeti = @s points

execute if entity @s[tag=!pbexists] if score mapid mapid matches 201 run scoreboard players operation @s scorepbbody = @s points
execute if entity @s[tag=!pbexists] if score mapid mapid matches 202 run scoreboard players operation @s scorepbmobs = @s points
execute if entity @s[tag=!pbexists] if score mapid mapid matches 203 run scoreboard players operation @s scorepbshrunk = @s points

execute if entity @s[tag=!pbexists] if score mapid mapid matches 301 run scoreboard players operation @s scorepbcelts = @s points
execute if entity @s[tag=!pbexists] if score mapid mapid matches 302 run scoreboard players operation @s scorepbexcalibur = @s points
execute if entity @s[tag=!pbexists] if score mapid mapid matches 303 run scoreboard players operation @s scorepbicarus = @s points

execute if entity @s[tag=!pbexists] if score mapid mapid matches 401 run scoreboard players operation @s scorepbspace = @s points
execute if entity @s[tag=!pbexists] if score mapid mapid matches 402 run scoreboard players operation @s scorepblighthouse = @s points
execute if entity @s[tag=!pbexists] if score mapid mapid matches 403 run scoreboard players operation @s scorepbvolcanic = @s points
execute if entity @s[tag=!pbexists] if score mapid mapid matches 404 run scoreboard players operation @s scorepbchallenge = @s points
execute if entity @s[tag=!pbexists] if score mapid mapid matches 405 run scoreboard players operation @s scorepbskylines = @s points

## Do not mark first playthroughs as personal bests
tag @s[tag=!pbexists] remove newpb