## Calculate game time in ticks
scoreboard players operation timeInTicks gametime = timerminute gametime
scoreboard players operation timeInTicks gametime *= v60 value
scoreboard players operation timeInTicks gametime += timersecond gametime
scoreboard players operation timeInTicks gametime *= v100 value
scoreboard players operation timeInTicks gametime += timer gametime
scoreboard players operation timeInTicks gametime /= v5 value

## Get game time relative to personal best
execute if score @s personalbest > timeInTicks gametime run scoreboard players operation @s temp4 = timerpb gametime
execute if score @s personalbest > timeInTicks gametime run scoreboard players operation @s temp4 -= timer gametime
execute if score @s personalbest > timeInTicks gametime run scoreboard players operation @s temp5 = timersecondpb gametime
execute if score @s personalbest > timeInTicks gametime run scoreboard players operation @s temp5 -= timersecond gametime
execute if score @s personalbest > timeInTicks gametime run scoreboard players operation @s temp6 = timerminutepb gametime
execute if score @s personalbest > timeInTicks gametime run scoreboard players operation @s temp6 -= timerminute gametime
execute unless score @s personalbest > timeInTicks gametime run scoreboard players operation @s temp4 = timer gametime
execute unless score @s personalbest > timeInTicks gametime run scoreboard players operation @s temp4 -= timerpb gametime
execute unless score @s personalbest > timeInTicks gametime run scoreboard players operation @s temp5 = timersecond gametime
execute unless score @s personalbest > timeInTicks gametime run scoreboard players operation @s temp5 -= timersecondpb gametime
execute unless score @s personalbest > timeInTicks gametime run scoreboard players operation @s temp6 = timerminute gametime
execute unless score @s personalbest > timeInTicks gametime run scoreboard players operation @s temp6 -= timerminutepb gametime
execute unless score @s temp4 >= v0 value run scoreboard players add @s temp5 -1
execute unless score @s temp4 >= v0 value run scoreboard players add @s temp4 100
execute unless score @s temp5 >= v0 value run scoreboard players add @s temp6 -1
execute unless score @s temp5 >= v0 value run scoreboard players add @s temp5 60
execute unless score @s temp4 >= v0 value run scoreboard players operation @s temp4 *= v-1 value
execute unless score @s temp5 >= v0 value run scoreboard players operation @s temp5 *= v-1 value
execute unless score @s temp6 >= v0 value run scoreboard players operation @s temp6 *= v-1 value

tag @e[type=glide:uisegment] remove segment0
tag @e[type=glide:uisegment] remove segment1
tag @e[type=glide:uisegment] remove segment2
tag @e[type=glide:uisegment] remove segment3
execute if score @s temp4 < v10 value run tag @e[type=glide:uisegment] add segment0
execute if score @s temp6 >= v1 value if score @s temp5 < v10 value run tag @e[type=glide:uisegment] add segment1
execute if score timerpb gametime < v10 value run tag @e[type=glide:uisegment] add segment2
execute if score timerminutepb gametime >= v1 value if score timersecondpb gametime < v10 value run tag @e[type=glide:uisegment] add segment3

## Solo variant, show ghost score (Nowhere near as complicated as it looks lmfao)
# Solo variant, show ghost score - player is winning
execute if score @s personalbest > timeInTicks gametime if score timerminutepb gametime matches 0 if score @s temp6 matches 0 run titleraw @s subtitle {"rawtext":[{"text":" -"},{"selector":"@e[type=glide:uisegment,tag=segment1]"},{"score":{"name":"*","objective":"temp5"}},{"text":"."},{"selector":"@e[type=glide:uisegment,tag=segment0]"},{"score":{"name":"*","objective":"temp4"}},{"text":" : §r"},{"selector":"@a[scores={id=1}]"},{"text":"\n\n "},{"score":{"name":"timersecondpb","objective":"gametime"}},{"text":"."},{"selector":"@e[type=glide:uisegment,tag=segment2]"},{"score":{"name":"timerpb","objective":"gametime"}},{"text":" : GHOST"},{"text":"\n\n\n\n\n\n\n                              "}]}
execute if score @s personalbest > timeInTicks gametime if score timerminutepb gametime matches 0 unless score @s temp6 matches 0 run titleraw @s subtitle {"rawtext":[{"text":" -"},{"score":{"name":"*","objective":"temp6"}},{"text":":"},{"selector":"@e[type=glide:uisegment,tag=segment1]"},{"score":{"name":"*","objective":"temp5"}},{"text":"."},{"selector":"@e[type=glide:uisegment,tag=segment0]"},{"score":{"name":"*","objective":"temp4"}},{"text":" : §r"},{"selector":"@a[scores={id=1}]"},{"text":"\n\n "},{"score":{"name":"timersecondpb","objective":"gametime"}},{"text":"."},{"selector":"@e[type=glide:uisegment,tag=segment2]"},{"score":{"name":"timerpb","objective":"gametime"}},{"text":" : GHOST"},{"text":"\n\n\n\n\n\n\n                              "}]}
execute if score @s personalbest > timeInTicks gametime unless score timerminutepb gametime matches 0 if score @s temp6 matches 0 run titleraw @s subtitle {"rawtext":[{"text":" -"},{"selector":"@e[type=glide:uisegment,tag=segment1]"},{"score":{"name":"*","objective":"temp5"}},{"text":"."},{"selector":"@e[type=glide:uisegment,tag=segment0]"},{"score":{"name":"*","objective":"temp4"}},{"text":" : §r"},{"selector":"@a[scores={id=1}]"},{"text":"\n\n "},{"score":{"name":"timerminutepb","objective":"gametime"}},{"text":":"},{"selector":"@e[type=glide:uisegment,tag=segment3]"},{"score":{"name":"timersecondpb","objective":"gametime"}},{"text":"."},{"selector":"@e[type=glide:uisegment,tag=segment2]"},{"score":{"name":"timerpb","objective":"gametime"}},{"text":" : GHOST"},{"text":"\n\n\n\n\n\n\n                              "}]}
execute if score @s personalbest > timeInTicks gametime unless score timerminutepb gametime matches 0 unless score @s temp6 matches 0 run titleraw @s subtitle {"rawtext":[{"text":" -"},{"score":{"name":"*","objective":"temp6"}},{"text":":"},{"selector":"@e[type=glide:uisegment,tag=segment1]"},{"score":{"name":"*","objective":"temp5"}},{"text":"."},{"selector":"@e[type=glide:uisegment,tag=segment0]"},{"score":{"name":"*","objective":"temp4"}},{"text":" : §r"},{"selector":"@a[scores={id=1}]"},{"text":"\n\n "},{"score":{"name":"timerminutepb","objective":"gametime"}},{"text":":"},{"selector":"@e[type=glide:uisegment,tag=segment3]"},{"score":{"name":"timersecondpb","objective":"gametime"}},{"text":"."},{"selector":"@e[type=glide:uisegment,tag=segment2]"},{"score":{"name":"timerpb","objective":"gametime"}},{"text":" : GHOST"},{"text":"\n\n\n\n\n\n\n                              "}]}
# Solo variant, show ghost score - ghost is winning
execute unless score @s personalbest > timeInTicks gametime if score timerminutepb gametime matches 0 if score @s temp6 matches 0 run titleraw @s subtitle {"rawtext":[{"text":" "},{"score":{"name":"timersecondpb","objective":"gametime"}},{"text":"."},{"selector":"@e[type=glide:uisegment,tag=segment2]"},{"score":{"name":"timerpb","objective":"gametime"}},{"text":" : GHOST"},{"text":"\n\n +"},{"selector":"@e[type=glide:uisegment,tag=segment1]"},{"score":{"name":"*","objective":"temp5"}},{"text":"."},{"selector":"@e[type=glide:uisegment,tag=segment0]"},{"score":{"name":"*","objective":"temp4"}},{"text":" : §r"},{"selector":"@a[scores={id=1}]"},{"text":"\n\n\n\n\n\n\n                              "}]}
execute unless score @s personalbest > timeInTicks gametime if score timerminutepb gametime matches 0 unless score @s temp6 matches 0 run titleraw @s subtitle {"rawtext":[{"text":" "},{"score":{"name":"timersecondpb","objective":"gametime"}},{"text":"."},{"selector":"@e[type=glide:uisegment,tag=segment2]"},{"score":{"name":"timerpb","objective":"gametime"}},{"text":" : GHOST"},{"text":"\n\n +"},{"score":{"name":"*","objective":"temp6"}},{"text":":"},{"selector":"@e[type=glide:uisegment,tag=segment1]"},{"score":{"name":"*","objective":"temp5"}},{"text":"."},{"selector":"@e[type=glide:uisegment,tag=segment0]"},{"score":{"name":"*","objective":"temp4"}},{"text":" : §r"},{"selector":"@a[scores={id=1}]"},{"text":"\n\n\n\n\n\n\n                              "}]}
execute unless score @s personalbest > timeInTicks gametime unless score timerminutepb gametime matches 0 if score @s temp6 matches 0 run titleraw @s subtitle {"rawtext":[{"text":" "},{"score":{"name":"timerminutepb","objective":"gametime"}},{"text":":"},{"selector":"@e[type=glide:uisegment,tag=segment3]"},{"score":{"name":"timersecondpb","objective":"gametime"}},{"text":"."},{"selector":"@e[type=glide:uisegment,tag=segment2]"},{"score":{"name":"timerpb","objective":"gametime"}},{"text":" : GHOST"},{"text":"\n\n +"},{"selector":"@e[type=glide:uisegment,tag=segment1]"},{"score":{"name":"*","objective":"temp5"}},{"text":"."},{"selector":"@e[type=glide:uisegment,tag=segment0]"},{"score":{"name":"*","objective":"temp4"}},{"text":" : §r"},{"selector":"@a[scores={id=1}]"},{"text":"\n\n\n\n\n\n\n                              "}]}
execute unless score @s personalbest > timeInTicks gametime unless score timerminutepb gametime matches 0 unless score @s temp6 matches 0 run titleraw @s subtitle {"rawtext":[{"text":" "},{"score":{"name":"timerminutepb","objective":"gametime"}},{"text":":"},{"selector":"@e[type=glide:uisegment,tag=segment3]"},{"score":{"name":"timersecondpb","objective":"gametime"}},{"text":"."},{"selector":"@e[type=glide:uisegment,tag=segment2]"},{"score":{"name":"timerpb","objective":"gametime"}},{"text":" : GHOST"},{"text":"\n\n +"},{"score":{"name":"*","objective":"temp6"}},{"text":":"},{"selector":"@e[type=glide:uisegment,tag=segment1]"},{"score":{"name":"*","objective":"temp5"}},{"text":"."},{"selector":"@e[type=glide:uisegment,tag=segment0]"},{"score":{"name":"*","objective":"temp4"}},{"text":" : §r"},{"selector":"@a[scores={id=1}]"},{"text":"\n\n\n\n\n\n\n                              "}]}

scoreboard players remove @a ticksuntilnotitle 1
titleraw @a[scores={ticksuntilnotitle=..-1}] title {"rawtext":[{"text":" "}]}