
kill @e[type=arrow]
kill @e[type=item]

setblock -500 55 -3172 air
setblock -508 63 -3193 air
setblock -508 62 -3193 water
setblock -508 61 -3193 water
setblock -508 61 -3193 air
setblock -538 64 -3180 water
setblock -538 63 -3180 air
setblock -537 64 -3180 water
setblock -537 64 -3180 air
setblock -550 64 -3210 structure_void
setblock -550 64 -3211 structure_void
setblock -540 69 -3149 redstone_wire
setblock -527 70 -3194 spruce_fence_gate["direction"=1]

setblock -526 66 -3213 air
setblock -526 67 -3213 redstone_block
setblock -540 69 -3149 redstone_wire

##setblock -566 52 -3165 grass
setblock -550 49 -3205 grass_path

## Levers
setblock -507 69 -3208 lever["lever_direction"="south","open_bit"=true]
setblock -520 36 -3175 lever["lever_direction"="east"]
setblock -520 36 -3172 lever["lever_direction"="east"]
setblock -508 76 -3180 lever["lever_direction"="west"]
setblock -508 77 -3180 lever["lever_direction"="west","open_bit"=true]
setblock -545 55 -3180 lever["lever_direction"="east"]
setblock -548 53 -3153 lever["lever_direction"="east"]
setblock -548 53 -3156 lever["lever_direction"="east"]
setblock -575 68 -3142 lever["lever_direction"="east"]
setblock -571 54 -3203 lever["lever_direction"="up_east_west"]
setblock -523 61 -3169 lever["lever_direction"="up_north_south"]
setblock -555 37 -3166 lever["open_bit"=true,"lever_direction"="north"]
structure load somelever -523 62 -3164

## Reset doors
setblock -534 63 -3155 spruce_door["direction"=3]
setblock -544 63 -3159 spruce_door
setblock -553 69 -3206 trapdoor["open_bit"=false,"upside_down_bit"=true,"direction"=1]
fill -530 62 -3208 -528 62 -3208 trapdoor["open_bit"=true,"direction"=2,"upside_down_bit"=true]
setblock -541 62 -3201 trapdoor["open_bit"=true,"direction"=2,"upside_down_bit"=true]
setblock -541 62 -3203 trapdoor["open_bit"=true,"direction"=3,"upside_down_bit"=true]
setblock -542 62 -3202 trapdoor["open_bit"=true,"direction"=1,"upside_down_bit"=true]
setblock -552 63 -3204 spruce_door
setblock -538 62 -3208 spruce_door["direction"=3,"door_hinge_bit"=true]
setblock -539 62 -3208 spruce_door["direction"=3]
setblock -534 63 -3202 spruce_door["direction"=3,"door_hinge_bit"=true]
fill -545 67 -3211 -545 69 -3211 trapdoor["direction"=2,"open_bit"=true]
fill -532 67 -3211 -532 69 -3211 trapdoor["direction"=2,"open_bit"=true]
setblock -526 63 -3206 spruce_door["direction"=2,"door_hinge_bit"=true]
setblock -526 63 -3205 spruce_door["direction"=2]
setblock -523 63 -3202 spruce_door["direction"=1,"door_hinge_bit"=true]
setblock -522 63 -3202 spruce_door["direction"=1,"door_hinge_bit"=false]
setblock -512 62 -3208 spruce_door["direction"=1,"door_hinge_bit"=true]
setblock -507 62 -3203 spruce_door["direction"=2]

## Note blocks & jukebox
fill -551 54 -3179 -551 54 -3181 noteblock[] destroy
fill -553 37 -3191 -553 37 -3188 noteblock[] destroy
replaceitem block -556 52 -3180 slot.container 0 air

## Firework dispensers
structure load lobby:fireworksdisp1 -501 72 -3191
structure load lobby:fireworksdisp2 -504 77 -3180
structure load lobby:fireworksdisp3 -498 84 -3167
structure load lobby:fireworksdisp4 -523 85 -3205
structure load lobby:fireworksdisp5 -522 85 -3155
structure load lobby:fireworksdisp6 -579 56 -3166
structure load lobby:fireworksdisp7 -576 78 -3192
structure load lobby:fireworksdisp8 -576 78 -3168
structure load lobby:fireworksdisp9 -578 57 -3197

## Armor stands
kill @e[type=armor_stand,r=10,x=-574,z=-3181,y=69]
structure load lobby:diamondarmourstand -574 69 -3181
structure load lobby:diamondarmourstand -574 69 -3179

kill @e[type=armor_stand,r=1,x=-540,z=-3153,y=67]
structure load leatherarmourstand -540 67 -3153

kill @e[type=armor_stand,r=1,x=-546,z=-3205,y=52]
structure load chainarmour -547 51 -3205

kill @e[type=armor_stand,tag=deleteonstart]
structure load armourstandsirongold -546 61 -3223

kill @e[type=armor_stand,x=-540,y=61,z=-3153,r=3]
structure load lobby:lobbyarmorstands -540 61 -3153

## Frames
structure load waterframe -507 62 -3168
structure load waterframe2 -513 75 -3166
structure load bowframe -559 56 -3193
structure load mellohiframe -568 56 -3166
structure load chestframe -558 55 -3192
structure load elytraframe -571 77 -3180
structure load swordframes -524 64 -3156
structure load swordframe2 -521 43 -3167
structure load lobby:goldingotframe -554 70 -3211
structure load lobby:ironingotframe -553 70 -3211
structure load lobby:ironswordframe -509 67 -3157
structure load lobby:diamondswordframe -506 70 -3210
structure load lobby:swordframes -513 42 -3182

## Containers that don't fall under any of the other categories
setblock -538 63 -3180 dispenser["facing_direction"=1]
setblock -574 52 -3198 chest["minecraft:cardinal_direction"="east"]
setblock -574 53 -3197 chest["minecraft:cardinal_direction"="south"]

## Mob heads
structure load dragonhead -570 39 -3180
structure load steveheads -522 61 -3154
structure load zombieheads -522 61 -3206
structure load skeletondisp -521 86 -3180
structure load witherskulls -558 39 -3132
structure load lobby:creeperheadpistons -528 58 -3148
structure load lobby:dragonheadunlock -553 29 -3183

## Misc
structure load lobby:unlockpistons -508 65 -3189

## Waterfall
structure load lobby:waterfallpistons -545 51 -3179
structure load lobby:waterfall -542 55 -3184
replaceitem block -538 63 -3180 slot.container 4 bucket
setblock -508 63 -3193 dispenser
replaceitem block -508 63 -3193 slot.container 4 bucket

kill @e[type=item]

function glide/lobby/populatecontainers

## Iron doors near slime blocks
setblock -549 52 -3155 iron_door["door_hinge_bit"=false,"minecraft:cardinal_direction"="south"]
setblock -549 52 -3154 iron_door["door_hinge_bit"=true,"minecraft:cardinal_direction"="south"]