
## Player to finish is whoever gets to the finish line first, not the winner of the game but whoever gets to finish line first in that round.
## 1st to the finish line will get a score of 1, 2nd will get a score of 2, etc.
execute as @s at @s run particle glide:finishparticle ^ ^ ^2
scoreboard players operation @s playertofinish = top0000000000000 playertofinish
scoreboard players add top0000000000000 playertofinish 1
title @s times 0 100 5

## Test personal best & game best
execute if score ringsenabled config matches 0 run function glide/testpersonalbest/timeattack
execute if score ringsenabled config matches 1 run function glide/testpersonalbest/scoreattack
execute if score solo config matches 0 if score ringsenabled config matches 0 run function glide/testgamebest/timeattack
execute if score solo config matches 0 if score ringsenabled config matches 1 run function glide/testgamebest/scoreattack

## Play finish line SFX
playsound glide.sfx.finishline1st @a[scores={playertofinish=1},tag=!newpb]
playsound glide.sfx.finishline2nd @a[scores={playertofinish=2},tag=!newpb]
playsound glide.sfx.finishline3rd @a[scores={playertofinish=3},tag=!newpb]
playsound glide.sfx.finishline @a[scores={playertofinish=4..},tag=!newpb]
execute if score ringsenabled config matches 0 run playsound glide.sfx.finishline1stbesttime @a[scores={playertofinish=1},tag=newpb]
execute if score ringsenabled config matches 0 run playsound glide.sfx.finishline2ndbesttime @a[scores={playertofinish=2},tag=newpb]
execute if score ringsenabled config matches 0 run playsound glide.sfx.finishline3rdbesttime @a[scores={playertofinish=3},tag=newpb]
execute if score ringsenabled config matches 0 run playsound glide.sfx.finishlinebesttime @a[scores={playertofinish=4..},tag=newpb]
execute if score ringsenabled config matches 1 run playsound glide.sfx.finishline1stbestscore @a[scores={playertofinish=1},tag=newpb]
execute if score ringsenabled config matches 1 run playsound glide.sfx.finishline2ndbestscore @a[scores={playertofinish=2},tag=newpb]
execute if score ringsenabled config matches 1 run playsound glide.sfx.finishline3rdbestscore @a[scores={playertofinish=3},tag=newpb]
execute if score ringsenabled config matches 1 run playsound glide.sfx.finishlinebestscore @a[scores={playertofinish=4..},tag=newpb]

## Copy the time & amount of points into seperate scores to freeze them when player has finished
scoreboard players operation @s timerf = @s timer
scoreboard players operation @s timersecondf = @s timersecond
scoreboard players operation @s timerminutef = @s timerminute
scoreboard players operation @s pointsf = @s points
## Preserve clock in it's current state to freeze it
execute unless score playercount playercount >= v9 value run function glide/ui/preserveclock8
execute if score playercount playercount >= v9 value run function glide/ui/preserveclock16
tag @s add preserveclock

tag @s add FINISHED3
tag @s remove newpb

clear @s netherite_helmet
clear @s netherite_leggings

execute unless entity @a[tag=!FINISHED] if score endgametimer gametime matches 0 run function glide/countdown/switchtoroundend10s
execute unless entity @a[tag=!FINISHED] if score endgametimer gametime >= v201 value run function glide/countdown/switchtoroundend10s

## Reach the end - multiplayer
execute if score @s playertofinish matches 1 run scoreboard players set endcause gametime 0
execute if score @s playertofinish matches 1 run scoreboard players set endshowdownbanner gametime 60
execute if score @s playertofinish matches 1 run scoreboard players set endgametimer gametime 0
execute if score @s playertofinish matches 1 as @a[tag=!FINISHED,tag=!spectate,c=3,scores={playertofinish=!1}] run scoreboard players add endgametimer gametime 1200
execute if score @s playertofinish matches 1 unless entity @a[tag=!FINISHED,tag=!spectate,c=3,scores={playertofinish=!1}] run function glide/countdown/switchtoroundend10s
## If only 1 player needs to finish, give them 30s
execute unless score @s playertofinish matches 1 run scoreboard players set notfinishedcount temp 0
execute unless score @s playertofinish matches 1 run scoreboard players set finishedcount temp 0
execute unless score @s playertofinish matches 1 as @a[tag=!FINISHED] run scoreboard players add notfinishedcount temp 1
execute unless score @s playertofinish matches 1 as @a[tag=FINISHED] run scoreboard players add finishedcount temp 1
execute unless score @s playertofinish matches 1 unless score notfinishedcount temp matches 1 if score endgametimer gametime >= v1200 value run scoreboard players remove endgametimer gametime 1200
execute unless score @s playertofinish matches 1 if score notfinishedcount temp matches 1 if score endgametimer gametime >= v600 value run scoreboard players remove endgametimer gametime 600
execute unless score @s playertofinish matches 1 if score notfinishedcount temp matches 0 run function glide/countdown/switchtoroundend10s

execute unless score endgametimer gametime >= v-1 value run scoreboard players set endgametimer gametime -1

clear @a[tag=FINISHED] golden_leggings
clear @a[tag=FINISHED] golden_helmet

tag @s add notDNF

tag @s add invulnerableFromCrashDamage
