
gamerule freezedamage false

function glide/endgame
title @a clear

scoreboard players set gamecountdown gametime 6000000
schedule on_area_loaded add 0 0 0 0 0 0 glide/countdown/resetgamechange

## Makes sure gamerules are correct. Useful because realms usually reset these
function glide/onjoin/setgamerules

function glide/lobby/resetlobby

## Clear player count display (Host player icon gets added in playerinit)
function glide/ui/displayplayercount/initialise

## Reset best times
scoreboard objectives remove gametimedisplay
scoreboard objectives remove gamescoredisplay

## Check if the host has installed any track packs
scoreboard players set tp-beasts config 0
function glide/verifytrackpack/beasts
scoreboard players set tp-giants config 0
function glide/verifytrackpack/giants
scoreboard players set tp-myths config 0
function glide/verifytrackpack/myths
scoreboard players set tp-community config 0
function glide/verifytrackpack/community

scoreboard players set scoreattackinst temp 0
scoreboard players set timeattackinst temp 0
function glide/onjoin/test-scoreattack
function glide/onjoin/test-timeattack
execute if score scoreattackinst temp matches 0 if score timeattackinst temp matches 0 run tellraw @a {"rawtext":[{"text":"Neither Time Attack or Score Attack are selected, so you are unable to play. Go to the Behaviour Packs menu and select either Time Attack or Score Attack, and join back"}]}
execute if score scoreattackinst temp matches 0 if score timeattackinst temp matches 0 run scoreboard players set ringsenabled config -1
execute if score scoreattackinst temp matches 1 if score timeattackinst temp matches 1 run tellraw @a {"rawtext":[{"text":"Both Time Attack and Score Attack packs are enabled. Disable either the Time Attack or the Score Attack pack to play. You will be unable to play until only one is selected"}]}
execute if score scoreattackinst temp matches 1 if score timeattackinst temp matches 1 run scoreboard players set ringsenabled config -1
execute if score scoreattackinst temp matches 1 if score timeattackinst temp matches 0 run scoreboard players set ringsenabled config 1
execute if score scoreattackinst temp matches 0 if score timeattackinst temp matches 1 run scoreboard players set ringsenabled config 0

function glide/ui/displayplayercount