import { system, world } from "@minecraft/server";


//cord system
const overworld = world.getDimension("overworld");
system.runInterval(() => {
    for (const player of world.getPlayers()) {
        // Remove the 1 from the below scoreboard objective titles
        overworld.runCommand(`/scoreboard players operation "${player.name}" xPreviousTick = "${player.name}" x`);
        overworld.runCommand(`/scoreboard players operation "${player.name}" yPreviousTick = "${player.name}" y`);
        overworld.runCommand(`/scoreboard players operation "${player.name}" zPreviousTick = "${player.name}" z`);

        overworld.runCommand(`/scoreboard players operation "${player.name}" xPreviousTick100x = "${player.name}" x100x`);
        overworld.runCommand(`/scoreboard players operation "${player.name}" yPreviousTick100x = "${player.name}" y100x`);
        overworld.runCommand(`/scoreboard players operation "${player.name}" zPreviousTick100x = "${player.name}" z100x`);
        
        overworld.runCommand(`/scoreboard players set "${player.name}" x ${Math.floor(player.location.x)}`);
        overworld.runCommand(`/scoreboard players set "${player.name}" y ${Math.floor(player.location.y)}`);
        overworld.runCommand(`/scoreboard players set "${player.name}" z ${Math.floor(player.location.z)}`);
        
        overworld.runCommand(`/scoreboard players set "${player.name}" x100x ${Math.floor(player.location.x * 100)}`);
        overworld.runCommand(`/scoreboard players set "${player.name}" y100x ${Math.floor(player.location.y * 100)}`);
        overworld.runCommand(`/scoreboard players set "${player.name}" z100x ${Math.floor(player.location.z * 100)}`);
         
   } });