
tag @s remove newpb
tag @s remove pbexists

## Calculate finishing time in ticks
scoreboard players operation @s temp = timer gametime

scoreboard players operation @s temp2 = timersecond gametime
scoreboard players operation @s temp2 *= v20 value
scoreboard players operation @s temp += @s temp2

scoreboard players operation @s temp3 = timerminute gametime
scoreboard players operation @s temp3 *= v1200 value
scoreboard players operation @s temp += @s temp3

## Check if the player has played the map before and save it.
execute if score mapid mapid matches 001 if score @s timepbcavern >= v0 value run tag @s add pbexists
execute if score mapid mapid matches 002 if score @s timepbtemple >= v0 value run tag @s add pbexists
execute if score mapid mapid matches 003 if score @s timepbcanyon >= v0 value run tag @s add pbexists

execute if score mapid mapid matches 101 if score @s timepbdragon >= v0 value run tag @s add pbexists
execute if score mapid mapid matches 102 if score @s timepbkraken >= v0 value run tag @s add pbexists
execute if score mapid mapid matches 103 if score @s timepbyeti >= v0 value run tag @s add pbexists

execute if score mapid mapid matches 201 if score @s timepbbody >= v0 value run tag @s add pbexists
execute if score mapid mapid matches 202 if score @s timepbmobs >= v0 value run tag @s add pbexists
execute if score mapid mapid matches 203 if score @s timepbshrunk >= v0 value run tag @s add pbexists

execute if score mapid mapid matches 301 if score @s timepbcelts >= v0 value run tag @s add pbexists
execute if score mapid mapid matches 302 if score @s timepbexcalibur >= v0 value run tag @s add pbexists
execute if score mapid mapid matches 303 if score @s timepbicarus >= v0 value run tag @s add pbexists

execute if score mapid mapid matches 401 if score @s timepbspace >= v0 value run tag @s add pbexists
execute if score mapid mapid matches 402 if score @s timepblighthouse >= v0 value run tag @s add pbexists
execute if score mapid mapid matches 403 if score @s timepbvolcanic >= v0 value run tag @s add pbexists
execute if score mapid mapid matches 404 if score @s timepbchallenge >= v0 value run tag @s add pbexists
execute if score mapid mapid matches 405 if score @s timepbskylines >= v0 value run tag @s add pbexists

## Test if the time is a new PB, and add a tag if it is
execute if score mapid mapid matches 001 if score @s temp < @s timepbcavern run tag @s add newpb
execute if score mapid mapid matches 002 if score @s temp < @s timepbtemple run tag @s add newpb
execute if score mapid mapid matches 003 if score @s temp < @s timepbcanyon run tag @s add newpb

execute if score mapid mapid matches 101 if score @s temp < @s timepbdragon run tag @s add newpb
execute if score mapid mapid matches 102 if score @s temp < @s timepbkraken run tag @s add newpb
execute if score mapid mapid matches 103 if score @s temp < @s timepbyeti run tag @s add newpb

execute if score mapid mapid matches 201 if score @s temp < @s timepbbody run tag @s add newpb
execute if score mapid mapid matches 202 if score @s temp < @s timepbmobs run tag @s add newpb
execute if score mapid mapid matches 203 if score @s temp < @s timepbshrunk run tag @s add newpb

execute if score mapid mapid matches 301 if score @s temp < @s timepbcelts run tag @s add newpb
execute if score mapid mapid matches 302 if score @s temp < @s timepbexcalibur run tag @s add newpb
execute if score mapid mapid matches 303 if score @s temp < @s timepbicarus run tag @s add newpb

execute if score mapid mapid matches 401 if score @s temp < @s timepbspace run tag @s add newpb
execute if score mapid mapid matches 402 if score @s temp < @s timepblighthouse run tag @s add newpb
execute if score mapid mapid matches 403 if score @s temp < @s timepbvolcanic run tag @s add newpb
execute if score mapid mapid matches 404 if score @s temp < @s timepbchallenge run tag @s add newpb
execute if score mapid mapid matches 405 if score @s temp < @s timepbskylines run tag @s add newpb

## If it is a personal best, save it accordingly
execute if entity @s[tag=newpb] if score mapid mapid matches 001 run scoreboard players operation @s timepbcavern = @s temp
execute if entity @s[tag=newpb] if score mapid mapid matches 002 run scoreboard players operation @s timepbtemple = @s temp
execute if entity @s[tag=newpb] if score mapid mapid matches 003 run scoreboard players operation @s timepbcanyon = @s temp

execute if entity @s[tag=newpb] if score mapid mapid matches 101 run scoreboard players operation @s timepbdragon = @s temp
execute if entity @s[tag=newpb] if score mapid mapid matches 102 run scoreboard players operation @s timepbkraken = @s temp
execute if entity @s[tag=newpb] if score mapid mapid matches 103 run scoreboard players operation @s timepbyeti = @s temp

execute if entity @s[tag=newpb] if score mapid mapid matches 201 run scoreboard players operation @s timepbbody = @s temp
execute if entity @s[tag=newpb] if score mapid mapid matches 202 run scoreboard players operation @s timepbmobs = @s temp
execute if entity @s[tag=newpb] if score mapid mapid matches 203 run scoreboard players operation @s timepbshrunk = @s temp

execute if entity @s[tag=newpb] if score mapid mapid matches 301 run scoreboard players operation @s timepbcelts = @s temp
execute if entity @s[tag=newpb] if score mapid mapid matches 302 run scoreboard players operation @s timepbexcalibur = @s temp
execute if entity @s[tag=newpb] if score mapid mapid matches 303 run scoreboard players operation @s timepbicarus = @s temp

execute if entity @s[tag=newpb] if score mapid mapid matches 401 run scoreboard players operation @s timepbspace = @s temp
execute if entity @s[tag=newpb] if score mapid mapid matches 402 run scoreboard players operation @s timepblighthouse = @s temp
execute if entity @s[tag=newpb] if score mapid mapid matches 403 run scoreboard players operation @s timepbvolcanic = @s temp
execute if entity @s[tag=newpb] if score mapid mapid matches 404 run scoreboard players operation @s timepbchallenge = @s temp
execute if entity @s[tag=newpb] if score mapid mapid matches 405 run scoreboard players operation @s timepbskylines = @s temp

## If no personal best is saved yet, save it accordingly
execute if entity @s[tag=!pbexists] if score mapid mapid matches 001 run scoreboard players operation @s timepbcavern = @s temp
execute if entity @s[tag=!pbexists] if score mapid mapid matches 002 run scoreboard players operation @s timepbtemple = @s temp
execute if entity @s[tag=!pbexists] if score mapid mapid matches 003 run scoreboard players operation @s timepbcanyon = @s temp

execute if entity @s[tag=!pbexists] if score mapid mapid matches 101 run scoreboard players operation @s timepbdragon = @s temp
execute if entity @s[tag=!pbexists] if score mapid mapid matches 102 run scoreboard players operation @s timepbkraken = @s temp
execute if entity @s[tag=!pbexists] if score mapid mapid matches 103 run scoreboard players operation @s timepbyeti = @s temp

execute if entity @s[tag=!pbexists] if score mapid mapid matches 201 run scoreboard players operation @s timepbbody = @s temp
execute if entity @s[tag=!pbexists] if score mapid mapid matches 202 run scoreboard players operation @s timepbmobs = @s temp
execute if entity @s[tag=!pbexists] if score mapid mapid matches 203 run scoreboard players operation @s timepbshrunk = @s temp

execute if entity @s[tag=!pbexists] if score mapid mapid matches 301 run scoreboard players operation @s timepbcelts = @s temp
execute if entity @s[tag=!pbexists] if score mapid mapid matches 302 run scoreboard players operation @s timepbexcalibur = @s temp
execute if entity @s[tag=!pbexists] if score mapid mapid matches 303 run scoreboard players operation @s timepbicarus = @s temp

execute if entity @s[tag=!pbexists] if score mapid mapid matches 401 run scoreboard players operation @s timepbspace = @s temp
execute if entity @s[tag=!pbexists] if score mapid mapid matches 402 run scoreboard players operation @s timepblighthouse = @s temp
execute if entity @s[tag=!pbexists] if score mapid mapid matches 403 run scoreboard players operation @s timepbvolcanic = @s temp
execute if entity @s[tag=!pbexists] if score mapid mapid matches 404 run scoreboard players operation @s timepbchallenge = @s temp
execute if entity @s[tag=!pbexists] if score mapid mapid matches 405 run scoreboard players operation @s timepbskylines = @s temp

## Do not mark first playthroughs as personal bests
tag @s[tag=!pbexists] remove newpb